Skip to main content
GET
/
users
List users
curl --request GET \
  --url https://api.steuerboard.com/v1/users \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-id: <x-client-id>'
import requests

url = "https://api.steuerboard.com/v1/users"

headers = {
    "x-client-id": "<x-client-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-client-id': '<x-client-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.steuerboard.com/v1/users', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "cmf41ajzv003706un4i99q1a0",
      "createdAt": "2024-05-14T08:30:00Z",
      "email": "frida@example.com",
      "firstName": "Frida",
      "lastName": "Meyer",
      "roles": [
        "client_admin"
      ]
    }
  ],
  "pagination": {
    "limit": 20,
    "total": 134,
    "nextCursor": "cmf41ajzv003706un4i99q19z",
    "previousCursor": "cmf41ajzv003706un4i99q19z"
  }
}
{
  "type": "bad_request",
  "message": "<string>"
}
{
  "status_code": 401,
  "type": "auth_error",
  "code": "unauthorized",
  "message": "<string>"
}
{
  "type": "auth_error",
  "message": "<string>"
}
{
  "success": false,
  "error": {
    "name": "ZodError",
    "issues": [
      {
        "code": "invalid_type",
        "path": [
          "fieldName"
        ],
        "message": "Expected string, received undefined"
      }
    ]
  }
}
{
  "status_code": 429,
  "type": "rate_limit",
  "code": "too_many_requests",
  "message": "<string>"
}
This response has no body data.

Authorizations

Authorization
string
header
required

Bearer token authentication

Headers

x-client-id
string<cuid>
required

The ID of the client

Example:

"cmf41ajzv003706un4i99q19z"

Query Parameters

limit
number
default:20

The number of items to return

Required range: 1 <= x <= 100
Example:

20

cursor
string<cuid>

The cursor to return the next page of items

Example:

"cmf41ajzv003706un4i99q19z"

Response

Users

data
object[]
required
pagination
object
required